- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | List of all members
qi::detail::parameter_types< F, BL > Struct Template Reference

`#include <bindtype.hxx>`

## Public Types
using | BLSeq = typename BilistToSeq< BL >::type
using | Mapping = typename parameter_types_from_bilist_seq< F, BLSeq >::type
using | MaxArg = typename boost::mpl::deref< typename boost::mpl::max_element< Mapping, ArgLess< boost::mpl::_1, boost::mpl::_2 > >::type >::type
using | Reordered = typename ReorderMapping< IntFromMappingItem< MaxArg >::value, Mapping >::type
using | type = typename boost::mpl::transform< Reordered, MappingToType< boost::mpl::_1 > >::type

## Detailed Description

### template<typename F, typename BL>
struct qi::detail::parameter_types< F, BL >

Definition at line 224 of file bindtype.hxx.

## Member Typedef Documentation

template<typename F, typename BL>

using qi::detail::parameter_types< F, BL >::BLSeq = typename BilistToSeq<BL>::type

Definition at line 226 of file bindtype.hxx.

template<typename F, typename BL>

using qi::detail::parameter_types< F, BL >::Mapping = typename parameter_types_from_bilist_seq<F, BLSeq>::type

Definition at line 227 of file bindtype.hxx.

template<typename F, typename BL>

using qi::detail::parameter_types< F, BL >::MaxArg = typename boost::mpl::deref<typename boost::mpl::max_element<Mapping, ArgLess<boost::mpl::_1, boost::mpl::_2> >::type>::type

Definition at line 230 of file bindtype.hxx.

template<typename F, typename BL>

using qi::detail::parameter_types< F, BL >::Reordered = typename ReorderMapping<IntFromMappingItem<MaxArg>::value, Mapping>::type

Definition at line 232 of file bindtype.hxx.

template<typename F, typename BL>

using qi::detail::parameter_types< F, BL >::type = typename boost::mpl::transform<Reordered, MappingToType<boost::mpl::_1> >::type

Definition at line 235 of file bindtype.hxx.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/bindtype.hxx